## udo 6.4.1

=== Source/Makefile ===
all::
	@echo
	@echo "Call make -f Makefile.[system] to make UDO"
	@echo
	@echo "Available makefiles:"
	@echo
	@ls Makefile.*
	@echo

clean::
	$(RM) *.o *~ 2>/dev/null

=== debian/changelog ===
udo (6.4.1-4) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 4.1.0.
  * Bump debhelper compatibility to 10.
  * Honour SOURCE_DATE_EPOCH for timestamps in generated documentation.
  * Don't generate documentation log file, which contains unreproducible data.
  * Declare documentation packages as Multiarch: foreign.
  * Fix spelling errors found by lintian.
  * Register documentation at doc-base.
  * Remove unneeded debian/*.dirs files.
  * Build with remaining hardening options.
  * Add Homepage field.
  * Add watch file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 18 Sep 2017 17:54:00 +0200

udo (6.4.1-3) unstable; urgency=medium

  * QA upload.
  * Switch to dh.

 -- Santiago Vila <sanvila@debian.org>  Mon, 01 Aug 2016 14:31:22 +0100

udo (6.4.1-2) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #831579). Set maintainer to "Debian QA Group".
  * Switch to "3.0 (quilt)" source format.
  * Raise debhelper compat level to 6. Closes: #817706.
    A level higher than that requires deeper changes to debian/rules.
  * Add build-arch and build-indep targets to debian/rules. Closes: #822033.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Jul 2016 22:27:10 +0100

udo (6.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #252711)
  * Fixed rules file for Debian package build
  * Package sponsored by joergland

 -- Volker Janzen <douglas@voja.org>  Sat, 02 Oct 2004 16:00:00 +0200

udo (6.2.0-1) unstable; urgency=low

  * Initial Release (Closes: #216221)
  * Changed README, Makefile and makefile.in for compilation under Debian
  * Package sponsored by joergland

 -- Volker Janzen <douglas@voja.org>  Tue, 20 Oct 2003 19:00:00 +0200

=== debian/control ===
Source: udo
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.0
Homepage: http://www.udo-open-source.org/

Package: udo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal document - text processing utility
 UDO is a powerful and multipurpose utility for making documentation or any
 other text file that is needed in one text format or more. UDO documents can
 be converted to ASCII, HTML, LaTeX, nroff, PostScript, RTF and many more.
 Though UDO is powerful, it's quite easy to understand and to use.

Package: udo-doc-en
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: udo, www-browser, editor
Replaces: udo-doc
Multi-Arch: foreign
Description: universal document - English documentation
 UDO is a powerful and multipurpose utility for making documentation or any
 other text file that is needed in one text format or more. UDO documents can
 be converted to ASCII, HTML, LaTeX, nroff, PostScript, RTF and many more.
 Though UDO is powerful, it's quite easy to understand and to use.
 .
 This package provides the complete English documentation of UDO in the
 following formats: HTML, txt, udo

Package: udo-doc-de
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: udo, www-browser, editor
Replaces: udo-doc-ger
Multi-Arch: foreign
Description: universal document - German documentation
 UDO is a powerful and multipurpose utility for making documentation or any
 other text file that is needed in one text format or more. UDO documents can
 be converted to ASCII, HTML, LaTeX, nroff, PostScript, RTF and many more.
 Though UDO is powerful, it's quite easy to understand and to use.
 .
 This package provides the complete German documentation of UDO in the
 following formats: HTML, txt, udo

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C Source -f Makefile.debian clean
	rm -rf eng ger
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) -C Source -f Makefile.debian \
		CFLAGS="$(CFLAGS) $(CPPFLAGS) -D__LINUX__" LDFLAGS="$(LDFLAGS)"
	mkdir -p eng/html/images
	mkdir -p ger/html/images
	Source/udo --nroff -q -o udo.1 $(CURDIR)/Guide/eng/manual/manpage.u
	Source/udo -a -q -o eng/udo.txt $(CURDIR)/Guide/eng/manual/index.u
	Source/udo -a -q -o ger/udo.txt $(CURDIR)/Guide/ger/manual/index.u
	cp Guide/eng/manual/images/*.gif eng/html/images/
	Source/udo --no-logfile --html -q -o eng/html/index.html $(CURDIR)/Guide/eng/manual/index.u
	cp Guide/ger/manual/images/*.gif ger/html/images/
	Source/udo --no-logfile --html -q -o ger/html/index.html $(CURDIR)/Guide/ger/manual/index.u

override_dh_auto_install:
	$(MAKE) -C Source -f Makefile.debian install DESTDIR=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs -X Changes

override_dh_compress:
	dh_compress -X.ui -X.u

=== debian/watch ===
version=4
http://www.udo-open-source.org/files/sources/ @PACKAGE@@ANY_VERSION@_src@ARCHIVE_EXT@ debian uupdate
